<?php      
add_action( 'customize_register', 'healthcare_health_customizer' );
function healthcare_health_customizer( $wp_customize ) {
	wp_enqueue_style('customizr', get_template_directory_uri() .'/css/customizr.css');    
	$health_data= health_care_get_options();
/* Panel */
	$wp_customize->add_panel( 'health_theme_option', array(
    'title' => __( 'Theme Options','healthcare' ),
    'priority' => 1, // Mixed with top-level-section hierarchy.
	) );
// General Settings
	$wp_customize->add_section(
        'healthcare_general_option',
        array(
            'title' => 'General Options',
            'description' => 'Here you can customize Your theme',
	    'panel'=>'health_theme_option',
	     'capability'=>'edit_theme_options',
            'priority' => 35,
	)
        );
        $wp_customize->add_setting(
		'health_options[theme_color]',
		array(
			'type'    => 'option',
			'default'=>$health_data['theme_color'],
			'sanitize_callback'=>'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'theme_color',
            array(
                'label'      => 'Theme\'s  Color',
                'section'    => 'healthcare_general_option',
                'settings'   => 'health_options[theme_color]',
            )
        )
        );
	$wp_customize->add_setting(
		'health_options[post_title_font_color]',
		array(
			'type'    => 'option',
			'default'=>$health_data['post_title_font_color'],
			'sanitize_callback'=>'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'post_title_font_color',
            array(
                'label'      => 'Font color for Post Title',
                'section'    => 'healthcare_general_option',
                'settings'   => 'health_options[post_title_font_color]',
            )
        )
	);
	$wp_customize->add_setting(
		'health_options[slider_description_font_color]',
		array(
			'type'    => 'option',
			'default'=>$health_data['slider_description_font_color'],
			'sanitize_callback'=>'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'slider_description_font_color',
            array(
                'label'      => 'Font color for Slider Description',
                'label'      => 'Font color for Slider Description ',
                'section'    => 'healthcare_general_option',
                'settings'   => 'health_options[slider_description_font_color]',
            )
        )
	);
	
	
	$wp_customize->add_setting(
		'health_options[default_font_family]',
		array(
			'type'    => 'option',
			'default'=>$health_data['default_font_family'],
			'sanitize_callback'=>'sanitize_text_field',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control( new Healthcare_Font_Control( $wp_customize, 'default_font_family',array(
			'label'    => 'Default Font Family', 
			'section'  => 'healthcare_general_option',
			'settings' => 'health_options[default_font_family]',
			'priority' => 1,
			
	) ) );
	
	
	// Header Settings
	$wp_customize->add_section(
        'healthcare_header_option',
        array(
            'title' => 'Header Options',
            'description' => 'Here you can customize Your theme',
	    'panel'=>'health_theme_option',
	     'capability'=>'edit_theme_options',
            'priority' => 35,
	)
	);
	$wp_customize->add_setting(
		'health_options[upload_image_logo]',
		array(
			'type'    => 'option',
			'default'=>$health_data['upload_image_logo'],
			'sanitize_callback'=>'esc_url_raw',
			'capability' => 'edit_theme_options',
		)
	);
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'health_upload_image_logo', array(
		'label'        => __( 'Website Logo', 'healthcare' ),
		'section'    => 'healthcare_header_option',
		'settings'   => 'health_options[upload_image_logo]',
	) ) );
	$wp_customize->add_setting(
		'health_options[logo_height]',
		array(
			'type'    => 'option',
			'default'=>$health_data['logo_height'],
			'sanitize_callback'=>'health_care_sanitize_integer',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_logo_height', array(
		'label'        => __( 'Logo Height', 'healthcare' ),
		'type'=>'number',
		'section'    => 'healthcare_header_option',
		'settings'   => 'health_options[logo_height]',
	) );
	$wp_customize->add_setting(
		'health_options[logo_width]',
		array(
			'type'    => 'option',
			'default'=>$health_data['logo_width'],
			'sanitize_callback'=>'health_care_sanitize_integer',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_logo_width', array(
		'label'        => __( 'Logo Width', 'healthcare' ),
		'type'=>'number',
		'section'    => 'healthcare_header_option',
		'settings'   => 'health_options[logo_width]',
	) );
	$wp_customize->add_setting(
		'health_options[title_font_color]',
		array(
			'type'    => 'option',
			'default'=>$health_data['title_font_color'],
			'sanitize_callback'=>'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'title_font_color',
            array(
                'label'      => 'Font color for Site Title',
                'section'    => 'healthcare_header_option',
                'settings'   => 'health_options[title_font_color]',
            )
        )
	); 
	
	// slider images
	$wp_customize->add_section(
        'healthcare_slider_images',
        array(
            'title' => 'Slider Image Options',
            'description' => 'Here you can customize Your Slider\'s Images',
	    'panel'=>'health_theme_option',
	    'capability'=>'edit_theme_options',
            'priority' => 35,
	)
	);
	for($i=1; $i<=3; $i++){
	$wp_customize->add_setting(
		'health_options[slider_image'.$i.']',
			array(
			'type'    => 'option',
			'default'=>$health_data['slider_image'.$i],
			'sanitize_callback'=>'health_care_sanitize_integer',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control( 
	new Slider_Image_Control( 
	$wp_customize, 'slider_image'.$i,
	array(
		'label'    => 'Slider Image '.$i, 
		'section'  => 'healthcare_slider_images',
		'settings' => 'health_options[slider_image'.$i.']',
			
	) ) );
	
	}
	$wp_customize->add_section(
        'general_section',
        array(
            'title' => __( 'Theme General Options','healthcare' ),
            'description' => __('Here you can customize Your theme\'s General Settings','healthcare'),
			'panel'=>'health_theme_option',
			'capability'=>'edit_theme_options',
            'priority' => 35,
			
        )
	);
        $wp_customize->add_setting(
		'health_options[callout_text]',
		array(
			'type'    => 'option',
			'default'=>$health_data['callout_text'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_callout_text', array(
		'label'        => __( 'Call-out Text', 'healthcare' ),
		'section'    => 'general_section',
		'settings'   => 'health_options[callout_text]',
	) );
	$wp_customize->add_setting(
		'health_options[callout_link]',
		array(
			'type'    => 'option',
			'default'=>$health_data['callout_link'],
			'sanitize_callback'=>'esc_url_raw',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_callout_link', array(
		'label'        => __( 'Call-out Link', 'healthcare' ),
		'section'    => 'general_section',
		'settings'   => 'health_options[callout_link]',
	) );
	$wp_customize->add_setting(
		'health_options[callout_button]',
		array(
			'type'    => 'option',
			'default'=>$health_data['callout_button'],
			'sanitize_callback'=>'health_callout_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_callout_button', array(
		'label'        => __( 'Call-out Button', 'healthcare' ),
		'section'    => 'general_section',
		'settings'   => 'health_options[callout_button]',
	) );

//Blog Settings
	$wp_customize->add_section(
        'blog_section',
        array(
            'title' => __( 'Theme Blog Options','healthcare' ),
            'description' => __('Here you can customize Your theme\'s Blog Settings','healthcare'),
			'panel'=>'health_theme_option',
			'capability'=>'edit_theme_options',
            'priority' => 35,	
        )
	);
	$wp_customize->add_setting(
		'health_options[blog_enable]',
		array(
			'type'    => 'option',
			'default'=>$health_data['blog_enable'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_Blog_enable', array(
		'label'        => __( 'Show Blog Section on front-page', 'healthcare' ),
		'type'=>'checkbox',
		'section'    => 'blog_section',
		'settings'   => 'health_options[blog_enable]',
	) );
	$wp_customize->add_setting(
		'health_options[blog_heading]',
		array(
			'type'    => 'option',
			'default'=>$health_data['blog_heading'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_blog_heading', array(
		'label'        => __( 'Blog Section Title','healthcare' ),
		'section'    => 'blog_section',
		'settings'   => 'health_options[blog_heading]',
	) );
	$wp_customize->add_setting(
		'health_options[blog_desc]',
		array(
			'type'    => 'option',
			'default'=>$health_data['blog_desc'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_blog_desc', array(
		'label'        => __( 'Add Blog Area Description','healthcare' ),
		'type' =>  'textarea',
		'section'    => 'blog_section',
		'settings'   => 'health_options[blog_desc]',
	) );
	$wp_customize->add_setting(
		'health_options[blog_num]',
		array(
			'type'    => 'option',
			'default'=>$health_data['blog_num'],
			'sanitize_callback'=>'health_care_sanitize_integer',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_blog_num', array(
		'type'		=>'select',
		'label'        => __( 'Posts To Display','healthcare' ),
		'section'    => 'blog_section',
		'settings'   => 'health_options[blog_num]',
		 'choices'        => array(
                '5'   => 5,
                '7'   => 7,
                '9'   => 9,
				),
	) );

//Social Settings
	$wp_customize->add_section(
        'social_sction',
        array(
            'title' => __( 'Theme Social Options','healthcare' ),
            'description' => __('Here you can customize Your theme\'s Social Settings','healthcare'),
			'panel'=>'health_theme_option',
			'capability'=>'edit_theme_options',
            'priority' => 35,
        )
	);
	$wp_customize->add_setting(
		'health_options[social_address]',
		array(
			'type'    => 'option',
			'default'=>$health_data['social_address'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_social_address', array(
		'label'        => __( 'Address','healthcare' ),
		'section'    => 'social_sction',
		'settings'   => 'health_options[social_address]',
	) );
	$wp_customize->add_setting(
		'health_options[social_phone]',
		array(
			'type'    => 'option',
			'default'=>$health_data['social_phone'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_social_address', array(
		'label'        => __( 'Contact Number','healthcare' ),
		'section'    => 'social_sction',
		'settings'   => 'health_options[social_phone]',
	) );
	$wp_customize->add_setting(
		'health_options[social_email]',
		array(
			'type'    => 'option',
			'default'=>$health_data['social_email'],
			'sanitize_callback' => 'is_email',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_social_email', array(
		'label'        => __( 'E-Mail','healthcare' ),
		'section'    => 'social_sction',
		'settings'   => 'health_options[social_email]',
	) );
	$wp_customize->add_setting(
		'health_options[social_timing]',
		array(
			'type'    => 'option',
			'default'=>$health_data['social_timing'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_social_timing', array(
		'label'        => __( 'Working Hours','healthcare' ),
		'section'    => 'social_sction',
		'settings'   => 'health_options[social_timing]',
	) );
	$wp_customize->add_setting(
		'health_options[footer_copyright]',
		array(
			'type'    => 'option',
			'default'=>$health_data['footer_copyright'],
			'sanitize_callback'=>'health_care_sanitize_text',
			'capability' => 'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'health_footer_copyright', array(
		'label'        => __( 'Footer Copyright Text','healthcare' ),
		'section'    => 'social_sction',
		'settings'   => 'health_options[footer_copyright]',
	) );
	for($i=1; $i<=6; $i++){
		$wp_customize->add_setting(
			'health_options[social_icon_'.$i.']',
			array(
				'type'    => 'option',
				'default'=>$health_data['social_icon_'.$i],
				'sanitize_callback'=>'health_care_sanitize_text',
				'capability' => 'edit_theme_options'
			)
		);
		$wp_customize->add_control( 'health_social_icon'.$i, array(
			'label'        => __( 'Social Icon ','healthcare' ).$i,
			'section'    => 'social_sction',
			'settings'   => 'health_options[social_icon_'.$i.']',
		) );
		$wp_customize->add_setting(
			'health_options[social_link_'.$i.']',
			array(
				'type'    => 'option',
				'default'=>$health_data['social_link_'.$i],
				'sanitize_callback' => 'esc_url_raw',
				'capability' => 'edit_theme_options'
			)
		);
		$wp_customize->add_control( 'health_social_link'.$i, array(
			'label'        => __( 'Social Link ','healthcare' ).$i,
			'section'    => 'social_sction',
			'settings'   => 'health_options[social_link_'.$i.']',
		) );
		$wp_customize->add_section( 'health_options_more' , array(
				'title'      	=> __( 'Upgrade to Premium', 'healthcare' ),
				'priority'   	=> 999,
				'panel'=>'health_theme_option',
			) );

			$wp_customize->add_setting( 'health_options_more', array(
				'default'    		=> null,
				'sanitize_callback' => 'sanitize_text_field',
			) );

			$wp_customize->add_control( new More_health_Control( $wp_customize, 'health_options_more', array(
				'label'    => __( 'More Premium Themes', 'healthcare' ),
				'section'  => 'health_options_more',
				'settings' => 'health_options_more',
				'priority' => 1,
			) ) );
	}
}
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'More_health_Control' ) ) :
class More_health_Control extends WP_Customize_Control {

	/**
	* Render the content on the theme customizer page
	*/
	public function render_content() {
		?>
		<label style="overflow: hidden; zoom: 1;">
			
			
			<span class="customize-control-title"><?php _e( 'Premium Themes by weblizar', 'healthcare' ); ?></span>
			<p>
				<?php printf( __( 'Please visit us and grab a premium theme for you...', 'healthcare' ), '<a target="" href="https://weblizar.com/">', '</a>' );
				?>
			</p>
			
			<div class="col-md-4 col-sm-6 ">
				<a class="btn btn-success btn" href="https://www.weblizar.com">weblizar</a>
			</div>
		</label>
		<?php
	}
}
endif;
function health_care_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function health_care_sanitize_checkbox( $input ) {
    return $input;
}
function health_care_sanitize_integer( $input ) {
    return (int)($input);
}
/* class for font-family */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Healthcare_Font_Control' ) ) :
class Healthcare_Font_Control extends WP_Customize_Control 
{  
 public function render_content() 
 {?>
   <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   <select <?php $this->link(); ?> >
        <option  value="Abril Fatface"<?php if($this->value()== 'Abril Fatface') echo 'selected="selected"';?>><?php _e('Abril Fatface','healthcare'); ?></option>
	<option  value="Advent Pro"<?php if($this->value()== 'Advent Pro')  echo 'selected="selected"';?>><?php _e('Advent Pro','healthcare'); ?></option>
	<option  value="Aldrich"<?php if($this->value()== 'Aldrich') echo 'selected="selected"';?>><?php _e('Aldrich','healthcare'); ?></option>
	<option  value="Alex Brush"<?php if($this->value()== 'Alex Brush') echo 'selected="selected"';?>><?php _e('Alex Brush','healthcare'); ?></option>
	<option  value="Allura"<?php if($this->value()== 'Allura') echo 'selected="selected"';?>><?php _e('Allura','healthcare'); ?></option>
	<option  value="Amatic SC"<?php if($this->value()== 'Amatic SC') echo 'selected="selected"';?>><?php _e('Amatic SC','healthcare'); ?></option>
	<option  value="arial"<?php if($this->value()== 'arial') echo 'selected="selected"';?>><?php _e('Arial','healthcare'); ?></option>
	<option  value="Astloch"<?php if($this->value()== 'Astloch') echo 'selected="selected"';?>><?php _e('Astloch','healthcare'); ?></option>
	<option  value="arno pro bold italic"<?php if($this->value()== 'arno pro bold italic') echo 'selected="selected"';?>><?php _e('Arno pro bold italic','healthcare'); ?></option>
	<option  value="Bad Script"<?php if($this->value()== 'Bad Script') echo 'selected="selected"';?>><?php _e('Bad Script','healthcare'); ?></option>
	<option  value="Bilbo"<?php if($this->value()== 'Bilbo') echo 'selected="selected"';?>><?php _e('Bilbo','healthcare'); ?></option>
	<option  value="Calligraffitti"<?php if($this->value()== 'Calligraffitti') echo 'selected="selected"';?>><?php _e('Calligraffitti','healthcare'); ?></option>
	<option  value="Candal"<?php if($this->value()== 'Candal') echo 'selected="selected"';?>><?php _e('Candal','healthcare'); ?></option>
	<option  value="Cedarville Cursive"<?php if($this->value()== 'Cedarville Cursive') echo 'selected="selected"';?>><?php _e('Cedarville Cursive','healthcare'); ?></option>
	<option  value="Clicker Script"<?php if($this->value()== 'Clicker Script') echo 'selected="selected"';?>><?php _e('Clicker Script','healthcare'); ?></option>
	<option  value="Dancing Script"<?php if($this->value()== 'Dancing Script') echo 'selected="selected"';?>><?php _e('Dancing Script','healthcare'); ?></option>
	<option  value="Dawning of a New Day"<?php if($this->value()== 'Dawning of a New Day') echo 'selected="selected"';?>><?php _e('Dawning of a New Day','healthcare'); ?></option>
	<option  value="Fredericka the Great"<?php if($this->value()== 'Fredericka the Great') echo 'selected="selected"';?>><?php _e('Fredericka the Great','healthcare'); ?></option>
	<option  value="Felipa"<?php if($this->value()== 'Felipa') echo 'selected="selected"';?>><?php _e('Felipa','healthcare'); ?></option>
	<option  value="Give You Glory"<?php if($this->value()== 'Give You Glory') echo 'selected="selected"';?>><?php _e('Give You Glory','healthcare'); ?></option>
	<option  value="Great vibes"<?php if($this->value()== 'Great vibes') echo 'selected="selected"';?>><?php _e('Great vibes','healthcare'); ?></option>
	<option  value="Homemade Apple"<?php if($this->value()== 'Homemade Apple') echo 'selected="selected"';?>><?php _e('Homemade Apple','healthcare'); ?></option>
	<option  value="Indie Flower"<?php if($this->value()== 'Indie Flower') echo 'selected="selected"';?>><?php _e('Indie Flower','healthcare'); ?></option>
	<option  value="Italianno"<?php if($this->value()== 'Italianno') echo 'selected="selected"';?>><?php _e('Italianno','healthcare'); ?></option>
	<option  value="Jim Nightshade"<?php if($this->value()== 'Jim Nightshade') echo 'selected="selected"';?>><?php _e('Jim Nightshade','healthcare'); ?></option>
	<option  value="Kaushan Script"<?php if($this->value()== 'Kaushan Script') echo 'selected="selected"';?>><?php _e('Kaushan Script','healthcare'); ?></option>
	<option  value="Kristi"<?php if($this->value()== 'Kristi') echo 'selected="selected"';?>><?php _e('Kristi','healthcare'); ?></option>
	<option  value="La Belle Aurore"<?php if($this->value()== 'La Belle Aurore') echo 'selected="selected"';?>><?php _e('La Belle Aurore','healthcare'); ?></option>
	<option  value="Meddon"<?php if($this->value()== 'Meddon') echo 'selected="selected"';?>><?php _e('Meddon','healthcare'); ?></option>
	<option  value="Montez"<?php if($this->value()== 'Montez') echo 'selected="selected"';?>><?php _e('Montez','healthcare'); ?></option>
	<option  value="Megrim"<?php if($this->value()== 'Megrim') echo 'selected="selected"';?>><?php _e('Megrim','healthcare'); ?></option>
	<option  value="Mr Bedfort"<?php if($this->value()== 'Mr Bedfort') echo 'selected="selected"';?>><?php _e('Mr Bedfort','healthcare'); ?></option>
	<option  value="Neucha"<?php if($this->value()== 'Neucha') echo 'selected="selected"';?>><?php _e('Neucha','healthcare'); ?></option>
	<option  value="Nothing You Could Do"<?php if($this->value()== 'Nothing You Could Do') echo 'selected="selected"';?>><?php _e('Nothing You Could Do','healthcare'); ?></option>
	<option  value="Open Sans"<?php if($this->value()== 'Open Sans') echo 'selected="selected"';?>><?php _e('Open Sans','healthcare'); ?></option>
	<option  value="Over the Rainbow"<?php if($this->value()== 'Over the Rainbow') echo 'selected="selected"';?>><?php _e('Over the Rainbow','healthcare'); ?></option>
	<option  value="Pinyon Script"<?php if($this->value()== 'Pinyon Script') echo 'selected="selected"';?>><?php _e('Pinyon Script','healthcare'); ?></option>
	<option  value="Princess Sofia"<?php if($this->value()== 'Princess Sofia') echo 'selected="selected"';?>><?php _e('Princess Sofia','healthcare'); ?></option>
	<option  value="Reenie Beanie"<?php if($this->value()== 'Reenie Beanie') echo 'selected="selected"';?>><?php _e('Reenie Beanie','healthcare'); ?></option>
	<option  value="Rochester"<?php if($this->value()== 'Rochester') echo 'selected="selected"';?>><?php _e('Rochester','healthcare'); ?></option>
	<option  value="Rock Salt"<?php if($this->value()== 'Rock Salt') echo 'selected="selected"';?>><?php _e('Rock Salt','healthcare'); ?></option>
	<option  value="Ruthie"<?php if($this->value()== 'Ruthie') echo 'selected="selected"';?>><?php _e('Ruthie','healthcare'); ?></option>
	<option  value="Sacramento"<?php if($this->value()== 'Sacramento') echo 'selected="selected"';?>><?php _e('Sacramento','healthcare'); ?></option>
	<option  value="Sans Serif"<?php if($this->value()== 'Sans Serif') echo 'selected="selected"';?>><?php _e('Sans Serif','healthcare'); ?></option>
	<option  value="Seaweed Script"<?php if($this->value()== 'Seaweed Script') echo 'selected="selected"';?>><?php _e('Seaweed Script','healthcare'); ?></option>
	<option  value="Shadows Into Light"<?php if($this->value()== 'Shadows Into Light') echo 'selected="selected"';?>><?php _e('Shadows Into Light','healthcare'); ?></option>
	<option  value="Smythe"<?php if($this->value()== 'Smythe') echo 'selected="selected"';?>><?php _e('Smythe','healthcare'); ?></option>
	<option  value="Stalemate"<?php if($this->value()== 'Stalemate') echo 'selected="selected"';?>><?php _e('Stalemate','healthcare'); ?></option>
	<option  value="Tahoma"<?php if($this->value()== 'Tahoma') echo 'selected="selected"';?>><?php _e('Tahoma','healthcare'); ?></option>
	<option  value="Tangerine"<?php if($this->value()== 'Tangerine') echo 'selected="selected"';?>><?php _e('Tangerine','healthcare'); ?></option>
	<option  value="Trade Winds"<?php if($this->value()== 'Trade Winds') echo 'selected="selected"';?>><?php _e('Trade Winds','healthcare'); ?></option>
	<option  value="UnifrakturMaguntia"<?php if($this->value()== 'UnifrakturMaguntia') echo 'selected="selected"';?>><?php _e('UnifrakturMaguntia','healthcare'); ?></option>
	<option  value="Verdana"<?php if($this->value()== 'Verdana') echo 'selected="selected"';?>><?php _e('Verdana','healthcare'); ?></option>
	<option  value="Waiting for the Sunrise"<?php if($this->value()== 'Waiting for the Sunrise') echo 'selected="selected"';?>><?php _e('Waiting for the Sunrise','healthcare'); ?></option>
	<option  value="Warnes"<?php if($this->value()== 'Warnes') echo 'selected="selected"';?>><?php _e('Warnes','healthcare'); ?></option>
	<option  value="Yesteryear"<?php if($this->value()== 'Yesteryear') echo 'selected="selected"';?>><?php _e('Yesteryear','healthcare'); ?></option>
	<option  value="Zeyada"<?php if($this->value()== 'Zeyada') echo 'selected="selected"';?>><?php _e('Zeyada','healthcare'); ?></option>
    </select>		
		
  <?php
 }
}
endif; 

/* class for slider images */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Slider_Image_Control' ) ) :
class Slider_Image_Control extends WP_Customize_Control 
{  
 public function render_content(){ ?>
	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	<?php $args = array( 'post_type' => 'post', 'post_status'=>'publish','posts_per_page'=> -1); 
		$slide_id = new WP_Query( $args ); ?>
		<select <?php $this->link(); ?> >
		<option value= ""<?php if($this->value()=='') echo 'selected="selected"';?>><?php _e('Default Slide','healthcare'); ?></option>
		<?php if($slide_id->have_posts()):
			while($slide_id->have_posts()):
				$slide_id->the_post();
				if(has_post_thumbnail()){ ?>
				 <option value= "<?php echo get_the_id(); ?>"<?php if($this->value()== get_the_id() ) echo 'selected="selected"';?>><?php the_title(); ?></option>
				<?php }
			endwhile; 
	     endif; ?>
		 </select>
		 <?php
}  /* public function ends */
}/*   class ends */
endif; 

