<?php 
require(dirname(__FILE__).'/customizer.php');
require( get_template_directory() . '/comment-function.php' );
require( get_template_directory() . '/class-tgm-plugin-activation.php' );

/*After Theme Setup*/
add_action( 'after_setup_theme', 'health_care_head_setup' );
function health_care_head_setup(){
	if ( ! isset( $content_width ) ) $content_width = 900;
	add_theme_support( 'post-thumbnails' ); //supports featured image
	register_nav_menu( 'primary', __( 'Primary Menu', 'healthcare' ) );
	$args = array(
	'width'         => 1920,
	'height'        => 800,
	'default-image' => get_template_directory_uri() . '/images/back4.jpg',
	);
	add_theme_support( 'custom-header', $args );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "title-tag" );
	add_image_size ('healthcare-post-thumb', 1200, 400,true);
	add_image_size ('healthcare-post-home', 500, 450,true);
	load_theme_textdomain( 'healthcare', get_template_directory() . '/lang' );
	}

/* Health Care widget area */
	add_action( 'widgets_init', 'health_care_widgets_init');
	function health_care_widgets_init() {
	/*sidebar*/
	register_sidebar( array(
			'name' => __( 'Sidebar', 'healthcare' ),
			'id' => 'sidebar-primary',
			'description' => __( 'The primary widget area', 'healthcare' ),
			'before_widget' => '<div class="row sidebar-widget">',
			'after_widget' => '</div>',
			'before_title' => '<div class="line"></div><h4 class="widget-title">',
			'after_title' => '</h4>'
		) );

	register_sidebar( array(
			'name' => __( 'Footer Widget Area', 'healthcare' ),
			'id' => 'footer-widget-area',
			'description' => __( 'footer widget area', 'healthcare' ),
			'before_widget' => '<div class="col-md-3 col-sm-6 widget-footer">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '<div class="ln white"></div>
				<span class="fa fa-heart white hrt"></span></h3>',
		) );             
	}
	
//Default Options
function health_care_default_settings()
{
	$logo_img= get_template_directory_uri().'/images/Healthcare-logo.png';
	$wl_theme_options=array(
//Ganeral Settings Options
		'upload_image_logo' =>$logo_img,
		'logo_height' =>'118',
		'logo_width' =>'256',
		'callout_text' => __('Welcome to Health Care','healthcare'),
		'callout_link' => '#',
		'callout_button' => __('Enter','healthcare'),
//slider settings
		'slider_image1' =>'',
		'slider_image2' =>'',
		'slider_image3' =>'',
//Blog Settings
		'blog_enable' =>1,
		'blog_heading' =>'Latest News',
		'blog_desc' =>'We Provide all services in our hospital. The Services quality is so well known in midleeat countries.',
		'blog_num' =>5,
//Social Settings
		'social_address' =>__('Address','healthcare'),
		'social_phone' =>__('+1234567890','healthcare'),
		'social_email' =>__('admin@site.com','healthcare'),
		'social_timing' =>__('Monday To Saturday - 8am To 9pm','healthcare'),
		'footer_copyright' =>__('Copyright 2016 Designed By Weblizar','healthcare'),
		'social_icon_1' =>'fa fa-facebook',
		'social_icon_2' =>'fa fa-twitter',
		'social_icon_3' =>'fa fa-envelope',
		'social_icon_4' =>'fa fa-google-plus',
		'social_icon_5' =>'fa fa-instagram',
		'social_icon_6' =>'fa fa-youtube',
		'social_link_1' =>'#',
		'social_link_2' =>'#',
		'social_link_3' =>'#',
		'social_link_4' =>'#',
		'social_link_5' =>'#',
		'social_link_6' =>'#',
	
//Font color Settings
		'title_font_color' => '#000000',
		'post_title_font_color' => '#000000',
		'slider_description_font_color' => '#ffffff',
		'theme_color' => '#0098ff',
//Font family Settings		
		'default_font_family' => 'Open Sans',
		);
	return apply_filters( 'health_options', $wl_theme_options );
}
function health_care_get_options() {
    // Options API
    return wp_parse_args( 
        get_option( 'health_options', array() ), 
        health_care_default_settings() 
    );    
	}

/*Enqueue Styles And JS*/
function health_care_theme_style(){
	//style
	$health_data= health_care_get_options();
	wp_enqueue_style('bootstrap',get_template_directory_uri() . '/bootstrap/css/bootstrap.min.css');
	wp_enqueue_style('font-awesome',get_template_directory_uri() . '/css/font-awesome-4.5.0/css/font-awesome.min.css');
	wp_enqueue_style('animate',get_template_directory_uri() . '/css/animate.css');
	wp_enqueue_style('prettyPhoto',get_template_directory_uri() . '/css/prettyPhoto.css');
	wp_enqueue_style('healthcare-custom',get_template_directory_uri() . '/css/custom.css');
	wp_enqueue_style('healthcare-mediaResponsive',get_template_directory_uri() . '/css/media-query.css');
	wp_enqueue_style('owl.carousel',get_template_directory_uri() . '/css/owl.carousel.css');
	wp_enqueue_style('owl.theme',get_template_directory_uri() . '/css/owl.theme.css');
	wp_enqueue_style ('healthcare-googleFonts','https://fonts.googleapis.com/css?family='.$health_data['default_font_family']);
	//JS
	wp_enqueue_script( 'jquery');
	wp_enqueue_script('bootstrap_js',get_template_directory_uri().'/bootstrap/js/bootstrap.min.js');
	wp_enqueue_script('prettyPhotoJs',get_template_directory_uri().'/js/jquery.prettyPhoto.js');
	wp_enqueue_script('healthcare-themeJS',get_template_directory_uri().'/js/theme-scripts.js');
	wp_enqueue_script('owl.carouselJS',get_template_directory_uri().'/js/owl.carousel.js');
	wp_enqueue_script('wow.min',get_template_directory_uri().'/js/wow.min.js');
	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
}
add_action( 'wp_enqueue_scripts', 'health_care_theme_style' );

	
	/****--- Navigation ---***/
	function health_care_navigation() { 
?>
	<div class="row navi">
		<ul class="pager">
			<li class="next"><?php next_posts_link('Older Entries &raquo;') ?></li>
			<li class="previous"><?php previous_posts_link('&laquo; Newer Entries ') ?></li>
		</ul>
	</div>
	<?php }
	
	function health_care_post_link(){ 
	global $post; 
	// Don't print empty markup if there's nowhere to navigate.
	$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
	$next     = get_adjacent_post( false, '', false );

	if ( ! $next && ! $previous )
		return;
	?>
		<div class="row navi">
		<ul class="pager">
			<li class="previous"><?php next_post_link( '%link', _x( '%title ', 'Next post link', 'healthcare' ) ); ?></li>
			<li class="next"><?php previous_post_link( '%link', _x( ' %title', 'Previous post link', 'healthcare' ) ); ?></li>
		</ul>
	</div>
	<?php }
	
	
	
	/** nav-menu-walker	*/
class health_care_nav_walker extends Walker_Nav_Menu {	
	function start_lvl( &$output, $depth = 0, $args = array() ) {
		$indent = str_repeat("\t", $depth);
		$output .= "\n$indent<ul class=\"dropdown-menu\">\n";
	}
	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		$class_names = $value = '';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		$classes[] = 'menu-item-' . $item->ID;
		if ($args->has_children && $depth > 0) {
			$classes[] = 'dropdown dropdown-submenu';
		} else if($args->has_children && $depth === 0) {
			$classes[] = 'dropdown';
		}
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
		$class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';

		$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
		$id = $id ? ' id="' . esc_attr( $id ) . '"' : '';

		$output .= $indent . '<li' . $id . $value . $class_names .'>';

		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
		//$attributes .= ($args->has_children) 	    ? ' data-toggle="dropdown" data-target="#" class="dropdown-toggle"' : '';
			
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		$item_output .= ($args->has_children) ? ' <i class="fa fa-plus"></i></a>' : '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
	function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {

		if ( !$element )
			return;

		$id_field = $this->db_fields['id'];

		//display this element
		if ( is_array( $args[0] ) )
			$args[0]['has_children'] = ! empty( $children_elements[$element->$id_field] );
		else if ( is_object( $args[0] ) ) 
			$args[0]->has_children = ! empty( $children_elements[$element->$id_field] ); 
		$cb_args = array_merge( array(&$output, $element, $depth), $args);
		call_user_func_array(array($this, 'start_el'), $cb_args);

		$id = $element->$id_field;

		// descend only when the depth is right and there are childrens for this element
		if ( ($max_depth == 0 || $max_depth > $depth+1 ) && isset( $children_elements[$id]) ) {

			foreach( $children_elements[ $id ] as $child ){

				if ( !isset($newlevel) ) {
					$newlevel = true;
					//start the child delimiter
					$cb_args = array_merge( array(&$output, $depth), $args);
					call_user_func_array(array($this, 'start_lvl'), $cb_args);
				}
				$this->display_element( $child, $children_elements, $max_depth, $depth + 1, $args, $output );
			}
			unset( $children_elements[ $id ] );
		}

		if ( isset($newlevel) && $newlevel ){
			//end the child delimiter
			$cb_args = array_merge( array(&$output, $depth), $args);
			call_user_func_array(array($this, 'end_lvl'), $cb_args);
		}

		//end this element
		$cb_args = array_merge( array(&$output, $element, $depth), $args);
		call_user_func_array(array($this, 'end_el'), $cb_args);
	}
}
function health_care_nav_menu_css_class( $classes ) {
	if ( in_array('current-menu-item', $classes ) OR in_array( 'current-menu-ancestor', $classes ) OR in_array( 'menu-item-language-current', $classes ))
		$classes[]	=	'active';

	return $classes;
}
add_filter( 'nav_menu_css_class', 'health_care_nav_menu_css_class' );

function health_care_page_menu_args( $args ) {
	if ( ! isset( $args['show_home'] ) )
		$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'health_care_page_menu_args' );

 
function health_care_fallback_page_menu( $args = array() ) {

	$defaults = array('sort_column' => 'menu_order, post_title', 'menu_class' => 'menu', 'echo' => true, 'link_before' => '', 'link_after' => '');
	$args = wp_parse_args( $args, $defaults );
	$args = apply_filters( 'wp_page_menu_args', $args );

	$menu = '';

	$list_args = $args;

	// Show Home in the menu
	if ( ! empty($args['show_home']) ) {
		if ( true === $args['show_home'] || '1' === $args['show_home'] || 1 === $args['show_home'] )
			$text = 'Home';
		else
			$text = $args['show_home'];
		$class = '';
		if ( is_front_page() && !is_paged() )
			$class = 'class="current_page_item"';
		$menu .= '<li ' . $class . '><a href="' . home_url( '/' ) . '" title="' . esc_attr($text) . '">' . $args['link_before'] . $text . $args['link_after'] . '</a></li>';
		// If the front page is a page, add it to the exclude list
		if (get_option('show_on_front') == 'page') {
			if ( !empty( $list_args['exclude'] ) ) {
				$list_args['exclude'] .= ',';
			} else {
				$list_args['exclude'] = '';
			}
			$list_args['exclude'] .= get_option('page_on_front');
		}
	}

	$list_args['echo'] = false;
	$list_args['title_li'] = '';
	$list_args['walker'] = new healthcare_walker_page_menu;
	$menu .= str_replace( array( "\r", "\n", "\t" ), '', wp_list_pages($list_args) );

	if ( $menu )
		$menu = '<ul class="'. esc_attr($args['menu_class']) .'">' . $menu . '</ul>';

	$menu = '<div class="' . esc_attr($args['container_class']) . '">' . $menu . "</div>\n";
	$menu = apply_filters( 'wp_page_menu', $menu, $args );
	if ( $args['echo'] )
		echo $menu;
	else
		return $menu;
}
class health_care_walker_page_menu extends Walker_Page{
	function start_lvl( &$output, $depth = 0, $args = array() ) {
		$indent = str_repeat("\t", $depth);
		$output .= "\n$indent<ul class='dropdown-menu'>\n";
	}
	function start_el( &$output, $page, $depth=0, $args = array(), $current_page = 0 ) {
		if ( $depth )
			$indent = str_repeat("\t", $depth);
		else
			$indent = '';

		extract($args, EXTR_SKIP);
		$css_class = array('page_item', 'page-item-'.$page->ID);
		if ( !empty($current_page) ) {
			$_current_page = get_post( $current_page );
			if ( in_array( $page->ID, $_current_page->ancestors ) )
				$css_class[] = 'current_page_ancestor';
			if ( $page->ID == $current_page )
				$css_class[] = 'current_page_item';
			elseif ( $_current_page && $page->ID == $_current_page->post_parent )
				$css_class[] = 'current_page_parent';
		} elseif ( $page->ID == get_option('page_for_posts') ) {
			$css_class[] = 'current_page_parent';
		}

		$css_class = implode( ' ', apply_filters( 'page_css_class', $css_class, $page, $depth, $args, $current_page ) );

		$output .= $indent . '<li class="' . $css_class . '"><a href="' . get_permalink($page->ID) . '">' . $link_before . apply_filters( 'the_title', $page->post_title, $page->ID ) . $link_after . '</a>';

		if ( !empty($show_date) ) {
			if ( 'modified' == $show_date )
				$time = $page->post_modified;
			else
				$time = $page->post_date;

			$output .= " " . mysql2date($date_format, $time);
		}
	}
}

/* Breadcrumbs  */
	function health_care_breadcrumbs() {
    $delimiter = '';
    $home = __('Home', 'healthcare' ); // text for the 'Home' link
    $before = '<li>'; // tag before the current crumb
    $after = '</li>'; // tag after the current crumb
    echo '<ul class="breadcrumb">';
    global $post;
    $homeLink = home_url();
    echo '<li><a href="' . $homeLink . '">' . $home . '</a></li>' . $delimiter . ' ';
    if (is_category()) {
        global $wp_query;
        $cat_obj = $wp_query->get_queried_object();
        $thisCat = $cat_obj->term_id;
        $thisCat = get_category($thisCat);
        $parentCat = get_category($thisCat->parent);
        if ($thisCat->parent != 0)
            echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
        echo $before . _e("Archive by category","healthcare"). single_cat_title('', false). $after;
    } elseif (is_day()) {
        echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
        echo '<li><a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_time('d') . $after;
    } elseif (is_month()) {
        echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_time('F') . $after;
    } elseif (is_year()) {
        echo $before . get_the_time('Y') . $after;
    } elseif (is_single() && !is_attachment()) {
        if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->rewrite;
            echo '<li><a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a></li> ' . $delimiter . ' ';
            echo $before . get_the_title() . $after;
        } else {
            $cat = get_the_category();
            $cat = $cat[0];
            //echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
            echo $before . get_the_title() . $after;
        }
		
    } elseif (!is_single() && !is_page() && get_post_type() != 'post') {
        $post_type = get_post_type_object(get_post_type());
        echo $before . $post_type->labels->singular_name . $after;
    } elseif (is_attachment()) {
        $parent = get_post($post->post_parent);
        $cat = get_the_category($parent->ID);
        $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo '<li><a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_page() && !$post->post_parent) {
        echo $before . get_the_title() . $after;
    } elseif (is_page() && $post->post_parent) {
        $parent_id = $post->post_parent;
        $breadcrumbs = array();
        while ($parent_id) {
            $page = get_page($parent_id);
            $breadcrumbs[] = '<li><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li>';
            $parent_id = $page->post_parent;
        }
        $breadcrumbs = array_reverse($breadcrumbs);
        foreach ($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_search()) {
        echo $before . _e("Search results for","healthcare")  . get_search_query() .$after;

    } elseif (is_tag()) {        
		echo $before . _e('Tag','healthcare') . single_tag_title('', false) . $after;
    } elseif (is_author()) {
        global $author;
        $userdata = get_userdata($author);
        echo $before . _e("Articles posted by","healthcare") . $userdata->display_name . $after;
    } elseif (is_404()) {
        echo $before . _e("Error 404","healthcare") . $after;
    }
    
    echo '</ul>';
	}
	
//Plugin Recommend
add_action('tgmpa_register','health_care_plugin_recommend');
function health_care_plugin_recommend(){
	$plugins = array(
	array(
            'name'      => 'Responsive Gallery',
            'slug'      => 'responsive-gallery-with-lightbox',
            'required'  => false,
        ),
	array(
            'name'      => 'Photo Video Link Gallery',
            'slug'      => 'photo-video-link-gallery',
            'required'  => false,
        ),
	array(
            'name'      => 'Lightbox Gallery',
            'slug'      => 'simple-lightbox-gallery',
            'required'  => false,
        ),
	array(
            'name'      => 'Instagram Gallery',
            'slug'      => 'gallery-for-instagram',
            'required'  => false,
        ),
	array(
            'name'      => 'Ultimate Responsive Image Slider',
            'slug'      => 'ultimate-responsive-image-slider',
            'required'  => false,
        ),
	array(
            'name'      => 'Flickr Album Gallery',
            'slug'      => 'flickr-album-gallery',
            'required'  => false,
        ),
	array(
            'name'      => 'Gallery Pro',
            'slug'      => 'gallery-pro',
            'required'  => false,
        ),
	array(
            'name'      => 'Admin Custom Login',
            'slug'      => 'admin-custom-login',
            'required'  => false,
        )
		
	);
    tgmpa( $plugins );
}
?>